function sys = dynamicsys(Ny,Nu)
%DYNAMICSYS  Constructor for "dynamic system" parent object.
%
%   SYS = DYNAMICSYS(NY,NU) creates a dynamical system object with 
%   NY outputs and NU inputs.

%   Author(s): P. Gahinet
%   Copyright 1986-2003 The MathWorks, Inc.
%   $Revision: 1.1.6.2 $  $Date: 2004/04/10 23:12:24 $

if nargin==0
   Nu = 0;  Ny = 0;  % for signature call by LOADOBJ
end
EmptyStr = {''};

sys = struct(...
   'InputName',{EmptyStr(ones(Nu,1),:)},...
   'OutputName',{EmptyStr(ones(Ny,1),:)},...
   'InputGroup',struct,...
   'OutputGroup',struct,...
   'Name','',...
   'Notes',{{}},...
   'UserData',[],...
   'Version',4,...
   'VersionData',[]);  % used to support upgrade from pre-R14;
sys = class(sys,'dynamicsys');