function SavedData = save(LoopData)
%SAVE   Creates backup of loop data for Save Session.
%
%   See also SISOTOOL.

%   Author(s): P. Gahinet
%   Copyright 1986-2002 The MathWorks, Inc. 
%   $Revision: 1.6 $  $Date: 2002/04/10 04:53:15 $

SavedData = struct(...
    'SystemName',LoopData.SystemName,...
    'Configuration',LoopData.Configuration,...
    'FeedbackSign',LoopData.FeedbackSign,...
    'Plant',LoopData.Plant.save,...
    'Filter',LoopData.Filter.save,...
    'Sensor',LoopData.Sensor.save,...
    'Compensator',LoopData.Compensator.save,...
    'SavedDesigns',LoopData.SavedDesigns);
