function SavedData = save(Editor)
%SAVE   Creates backup of Bode Editor settings.
%
%   See also SISOTOOL.

%   Author(s): P. Gahinet
%   Copyright 1986-2002 The MathWorks, Inc. 
%   $Revision: 1.6 $  $Date: 2002/04/10 05:04:14 $

Axes = Editor.Axes;
PlotAxes = getaxes(Axes);
SavedData = struct(...
    'Constraints',Editor.saveconstr,...
    'Grid',Axes.Grid,...
    'Title',Axes.Title,...
    'TitleStyle',struct(Axes.TitleStyle),...
    'Visible',Editor.Visible,...
    'XlabelStyle',struct(Axes.XlabelStyle),...
    'Xlabel',{Axes.Xlabel},...
    'Xlim',{get(PlotAxes(1),'Xlim')},...
    'XlimMode',{Axes.XlimMode},...
    'Ylabel',{Axes.Ylabel},...
    'YlabelStyle',struct(Axes.YlabelStyle),...
    'Ylim',{get(PlotAxes,'Ylim')},...
    'YlimMode',{Axes.YlimMode},...
    'ClosedLoopVisible',Editor.ClosedLoopVisible,...
    'MagVisible',Editor.MagVisible,...
    'PhaseVisible',Editor.PhaseVisible);
