function setdefaults(Editor,Prefs,AxesTemplate)
%SETDEFAULTS  Initializes graphics with SISO Tool global defaults.

%   Author(s): P. Gahinet
%   Copyright 1986-2002 The MathWorks, Inc. 
%   $Revision: 1.8 $ $Date: 2002/04/10 05:01:24 $

% Label and line style defaults
Editor.LabelColor = Prefs.AxesForegroundColor;
Editor.LineStyle = Prefs.LineStyle;

% Axes style
set(AxesTemplate,...
   'XColor',Editor.LabelColor,...
   'YColor',Editor.LabelColor)

% Title style
set(get(AxesTemplate,'Title'),...
   'Color',Editor.LabelColor,...
   'FontAngle',Prefs.TitleFontAngle,...
   'FontSize',Prefs.TitleFontSize,...
   'FontWeight',Prefs.TitleFontWeight)

% Label style
set([get(AxesTemplate,'Xlabel');get(AxesTemplate,'Ylabel')],...
   'Color',Editor.LabelColor,...
   'FontAngle',Prefs.XYLabelsFontAngle,...
   'FontSize',Prefs.XYLabelsFontSize,...
   'FontWeight',Prefs.XYLabelsFontWeight)



