function RespList = resplist(sisodb)
%RESPLIST  List of all responses available in SISO Tool Viewer.
%
%   Specifies alias, full name, open/closed loop nature, and 
%   rendering style.
%
%   See also SISOTOOL.

%   Author(s): P. Gahinet
%   Copyright 1986-2002 The MathWorks, Inc.
%   $Revision: 1.9 $  $Date: 2002/06/11 17:29:51 $

% Last column: open/closed loop 
RespList = {...
      '$T_r2y', xlate('Closed Loop: r to y'), 'closed', 'b';...
      '$T_r2u', xlate('Closed Loop: r to u'), 'closed', 'g';...
      '$S_input' , xlate('Input Sensitivity'), 'closed', 'r';...
      '$S_output' , xlate('Output Sensitivity'), 'closed', 'c';...
      '$S_noise' , xlate('Noise Sensitivity'), 'closed', 'm';...
      '$L' , xlate('Open Loop L'), 'open', 'y';...
      '$C' , xlate('Compensator C'), 'open', 'r--';...
      '$F' , xlate('Prefilter F'), 'open', 'g--';...
      '$G' , xlate('Plant G'), 'open', 'b--';...
      '$H' , xlate('Sensor H'), 'open', 'm--'};
