function toolbar(this)
%TOOLBAR  Creates the tool bar.

%   Authors: Kamesh Subbarao
%   Copyright 1986-2002 The MathWorks, Inc. 
%   $Revision: 1.8 $  $Date: 2002/06/06 12:37:12 $

load viewIconCData;

htoolbar = uitoolbar(this.Figure,'HandleVisibility','off');
% Create menu bar icons and associated callbacks.
b(1) = uipushtool(htoolbar,...
    'Tooltip',xlate('New Viewer'),...
    'CData',newfigCData,...
    'Tag','newViewer',...
    'ClickedCallback','ltiview');
b(2) = uipushtool(htoolbar,...
    'Tooltip',xlate('Print'),...
    'CData',printCData,...
    'Tag','printfigure',...
        'ClickedCallback',{@LocalPrint this});
b(3) = uitoggletool('Parent',htoolbar,...
    'Tooltip','Zoom In',...
    'CData',zoomplusCData,...
    'Tag','figToolZoomIn',...
    'ClickedCallback','putdowntext(''zoomin'',gcbo)',...
    'CreateFcn','figtoolset(''zoomin'',gcbf)',...
    'Separator','on');
b(4) = uitoggletool('Parent',htoolbar,...
    'Tooltip','Zoom Out',...
    'CData',zoomminusCData,...
    'Tag','figToolZoomOut',...
    'ClickedCallback','putdowntext(''zoomout'',gcbo)',...
    'CreateFcn','figtoolset(''zoomout'',gcbf)');


function LocalPrint(eventsrc,eventdata,this)
% LocalPrint push button callback
print(this,'printer')
