function def = cstdefs(attribute)
%CSTDEFS  Definitions for Control System Toolbox applications.

%   Copyright 1986-2002 The MathWorks, Inc. 
%   $Revision: 1.3 $ $Date: 2002/04/10 04:44:02 $

switch attribute
   
case 'Color8'
   % Basic color table for response plots
   def = {...
         [0 0 1],'blue';...
         [0 0.65 0],'green';...
         [1 0 0],'red';...
         [0 0.75 0.75],'cyan';...
         [0.75 0 0.75],'magenta';...
         [0.8 0.8 0],'yellow';...
         [0 0 0],'black';...
         [1 1 1],'white'};
   
case 'Color18'
   % 18-color table for response plots
   def = {[1 0.9 0],'yellow';...
         [0.75 0.75 0.2],'khaki';...
         [1.0 0.6 0.2],'light brown';...
         [0.7 0.2 0.1],'brown';...
         [1 0 0],'red';...
         [1 .6 .7],'pink';...
         [.9 0 .9],'magenta';...
         [0.6 0.1 1],'purple';...
         [0 0 0],'black';...
         [0.5 0.5 0.5],'dark grey';...
         [0.75 0.75 0.75],'grey';...
         [0.1 0 0.6],'dark blue';...
         [0 0 1],'blue';...
         [0 0.75 1],'sky blue';...
         [0 0.9 0.9],'cyan';...
         [0 0.5 0],'dark green';...
         [.25 .75 .25],'green';...
         [0  1  0],'light green'};
   
case 'Color64'
   % 64 color table
   def = {...
         [0.2 0.2 0.5],'dark blue';...
         [0.2 0.2 0.7],'dark blue';...
         [0.2 0.2 0.9],'blue';...
         [0.2 0.5 0.2],'dark green';...
         [0.2 0.5 0.5],'dark green';...
         [0.2 0.5 0.7],'dark blue';...
         [0.2 0.5 0.9],'blue';...
         [0.2 0.7 0.2],'green';...
         [0.2 0.7 0.5],'green';...
         [0.2 0.7 0.7],'cyan';...
         [0.2 0.7 0.9],'sky blue';...
         [0.2 0.9 0.2],'light green';...
         [0.2 0.9 0.5],'light green';...
         [0.2 0.9 0.7],'cyan';...
         [0.2 0.9 0.9],'cyan';...
         [0.5 0.2 0.2],'brown';...
         [0.5 0.2 0.5],'purple';...
         [0.5 0.2 0.7],'purple';...
         [0.5 0.2 0.9],'purple';...
         [0.5 0.5 0.2],'khaki';...
         [0.5 0.5 0.5],'dark grey';...
         [0.5 0.5 0.7],'dark blue';...
         [0.5 0.5 0.9],'blue';...
         [0.5 0.7 0.2],'green';...
         [0.5 0.7 0.5],'green';...
         [0.5 0.7 0.7],'cyan';...
         [0.5 0.7 0.9],'sky blue';...
         [0.5 0.9 0.2],'light green';...
         [0.5 0.9 0.5],'light green';...
         [0.5 0.9 0.7],'cyan';...
         [0.5 0.9 0.9],'cyan';...
         [0.7 0.2 0.2],'brown';...
         [0.7 0.2 0.5],'magenta';...
         [0.7 0.2 0.7],'magenta';...
         [0.7 0.2 0.9],'purple';...
         [0.7 0.5 0.2],'brown';...
         [0.7 0.5 0.5],'brown';...
         [0.7 0.5 0.7],'purple';...
         [0.7 0.5 0.9],'purple';...
         [0.7 0.7 0.2],'khaki';...
         [0.7 0.7 0.5],'khaki';...
         [0.7 0.7 0.7],'grey';...
         [0.7 0.7 0.9],'purple';...
         [0.7 0.9 0.2],'light green';...
         [0.7 0.9 0.5],'light green';...
         [0.7 0.9 0.7],'light green';...
         [0.7 0.9 0.9],'cyan';...
         [0.9 0.2 0.2],'red';...
         [0.9 0.2 0.5],'red';...
         [0.9 0.2 0.7],'pink';...
         [0.9 0.2 0.9],'magenta';...
         [0.9 0.5 0.2],'light brown';...
         [0.9 0.5 0.5],'red';...
         [0.9 0.5 0.7],'pink';...
         [0.9 0.5 0.9],'magenta';...
         [0.9 0.7 0.2],'light brown';...
         [0.9 0.7 0.5],'light brown';...
         [0.9 0.7 0.7],'pink';...
         [0.9 0.7 0.9],'magenta';...
         [0.9 0.9 0.2],'yellow';...
         [0.9 0.9 0.5],'yellow';...
         [0.9 0.9 0.7],'yellow';...
         [0.9 0.9 0.9],'white';...
         [0.2 0.2 0.2],'black'};
   
end
