function initialize(this,Axes)
%INITIALIZE  Initialization for @NicholsStabilityMarginView class

%  Author(s): John Glass
%  Copyright 1986-2004 The MathWorks, Inc.
%   $Revision: 1.1.6.2 $  $Date: 2004/04/11 00:19:04 $
if ~isscalar(Axes)
   % Leave all properties empty for MIMO responses
   % RE: Can happen in Viewer with SISO and MIMO models
   return
end
Color = this.AxesGrid.AxesStyle.YColor;

% Magnitude
this.MagPoints = handle(line(NaN,NaN,5,...
   'Parent',Axes,...
   'Visible','off',...
   'Marker','o',...
   'XLimInclude','off',...
   'YLimInclude','off',...
   'MarkerSize',6));

this.MagLines = handle(line([NaN, NaN], [NaN, NaN],[-10 -10],...
   'Parent',Axes,...
   'Visible','off',...
   'LineStyle','-',...
   'Selected','off',...
   'HandleVisibility','off',...
   'XLimInclude','off',...
   'YLimInclude','off',...    
   'HitTest','off',...
   'Color',Color));

this.MagCrossLines = handle(line([NaN,NaN],[NaN,NaN],[-10,-10],...
   'Parent',Axes,...
   'Visible','off',...
   'LineStyle','-.',...
   'Selected','off',...
   'HandleVisibility','off',...
   'XLimInclude','off',...
   'YLimInclude','off',...
   'HitTest','off',...
   'Color',Color));

this.MagTips = handle(NaN);

% Phase
this.PhasePoints = handle(line(NaN,NaN,[5],...
    'Parent',Axes,...
    'Visible','off',...
    'Marker','o',...
    'XLimInclude','off',...
    'YLimInclude','off',...
    'MarkerSize',6));

this.PhaseLines = handle(line([NaN,NaN],[NaN,NaN],[-10,-10],...
    'Parent',Axes,...
    'Visible','off',...
    'LineStyle','-',...
    'Selected','off',...
    'HandleVisibility','off',...
    'XLimInclude','off',...
    'YLimInclude','off',...
    'HitTest','off',...
    'Color',Color));

this.PhaseCrossLines = handle(line([NaN,NaN],[NaN,NaN],[-10,-10],...
    'Parent',Axes,...
    'Visible','off',...
    'LineStyle',':',...
    'Selected','off',...
    'HandleVisibility','off',...
    'XLimInclude','off',...
    'YLimInclude','off',...
    'HitTest','off',...
    'Color',Color));

this.PhaseTips = handle(NaN);