function initialize(this,Axes)
%INITIALIZE  Initialization for @SettleTimeView class

%  Author(s): John Glass
%  Revised  : Kamesh Subbarao
%  Copyright 1986-2004 The MathWorks, Inc.
%   $Revision: 1.1.6.2 $  $Date: 2004/04/11 00:19:23 $

[s1,s2,s3] = size(Axes);  % Ny-by-Nu-by-2
Axes = reshape(Axes,[s1*s2 s3]);

VLines = zeros([s1 s2]);
UpperHLines = zeros([s1 s2]);
LowerHLines = zeros([s1 s2]);
Points = zeros([s1 s2]);

for ct=1:s1*s2   
   % Plot verticle lines
   VLines(ct) = line([NaN,NaN],[NaN,NaN],[-10,-10],...
      'Parent',Axes(ct),...
      'Visible','off',...
      'LineStyle','-.',...
      'Selected','off',...
      'XlimInclude','off', 'YlimInclude','off',...
      'HandleVisibility','off','HitTest','off',...
      'Color','k');
   %% Plot horizontal lines
   UpperHLines(ct) = line([NaN,NaN],[NaN,NaN],[-10,-10],...
      'Parent',Axes(ct),...
      'Visible','off',...
      'LineStyle','-.',...
      'Selected','off',...
      'XlimInclude','off', 'YlimInclude','off',...
      'HandleVisibility','off','HitTest','off',...
      'Color','k');       
   LowerHLines(ct) = line([NaN,NaN],[NaN,NaN],[-10,-10],...
      'Parent',Axes(ct),...
      'Visible','off',...
      'LineStyle','-.',...
      'Selected','off',...
      'XlimInclude','off', 'YlimInclude','off',...
      'HandleVisibility','off','HitTest','off',...
      'Color','k');   
   %% Plot characteristic points
   Points(ct) = line(NaN,NaN,5,...
      'Parent',Axes(ct),...
      'XlimInclude','off',...
      'YlimInclude','off',...
      'Visible','off',...
      'Marker','o',...
      'MarkerSize',6);
end

this.VLines = handle(VLines);
this.UpperHLines = handle(UpperHLines);
this.LowerHLines = handle(LowerHLines);
this.Points = handle(Points);
this.PointTips = cell([s1 s2]);