function initialize(this, ax, gridsize)
%  INITIALIZE  Initializes the @sigmaplot objects.

%  Author(s): K. Subbarao
%  Copyright 1986-2004 The MathWorks, Inc.
%  $Revision: 1.1.6.2 $  $Date: 2004/04/11 00:23:16 $

% Axes geometry parameters 
geometry = struct('HeightRatio',[],...
   'HorizontalGap', 16, 'VerticalGap', 16, ...
   'LeftMargin', 12, 'TopMargin', 20, 'PrintScale', 1);

% Create @axesgrid object
this.AxesGrid = ctrluis.axesgrid([1 1], ax, ...
   'Visible',     'off', ...
   'Geometry',     geometry, ...
   'LimitFcn',    {@updatelims this}, ...
   'Title',       'Singular Values', ...
   'XLabel',      'Frequency',...
   'XScale',      'log',...
   'XUnit',       'rad/sec',...
   'YLabel',      'Singular Values',...
   'YUnit',       'dB');

% Generic initialization
init_graphics(this)

% Add standard listeners
addlisteners(this)

